<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Додати/редагувати резюме</title>
    <link rel="stylesheet" th:href="@{/main.css}">
</head>
<body>
<div class="container">
    <div class="editAddForm content">
        <h1>Додати/редагувати резюме</h1>
        <div th:if="${error != null}">
            <div class="error-message" th:text="${error}"></div>
        </div>

        <div class="navigation">
            <a th:href="@{/}" class="btn">Головна</a>
            <a th:href="@{/resumes}" class="btn">Переглянути всі резюме</a>
        </div>
        <form th:action="${resume.id == null} ? '/resumes' : '/resumes/' + ${resume.id}" method="post">
            <input type="hidden" name="id" th:value="${resume == null ? '' : resume.id}">

            <div>
                <label for="lastName">Прізвище:</label>
                <input type="text" id="lastName" name="lastName" th:value="${resume.lastName}" maxlength="32">
            </div>
            <div>
                <label for="firstName">Ім'я:</label>
                <input type="text" id="firstName" name="firstName" th:value="${resume.firstName}" maxlength="16">
            </div>
            <div>
                <label for="middleName">Друге ім'я:</label>
                <input type="text" id="middleName" name="middleName" th:value="${resume.middleName}" maxlength="32">
            </div>
            <div>
                <label for="phone">Телефон:</label>
                <input type="text" id="phone" name="phone" th:value="${resume.phone}" maxlength="16">
            </div>

            <div>
                <label for="email">Email адреса:</label>
                <input type="text" id="email" name="email" th:value="${resume.email}" maxlength="255">
            </div>
            <div>
                <label for="specialization">Спеціалізація:</label>
                <input type="text" id="specialization" name="specialization" th:value="${resume.specialization}" maxlength="64">
            </div>
            <div>
                <label for="age">Вік:</label>
                <input type="number" id="age" name="age" th:value="${resume.age}">
            </div>
            <div>
                <label for="gender">Стать:</label>
                <select id="gender" name="gender">
                    <option value="Male" th:selected="${resume.gender == 'Male'}">Male</option>
                    <option value="Female" th:selected="${resume.gender == 'Female'}">Female</option>
                </select>
            </div>

            <div>
                <label for="education">Освіта:</label>
                <input type="text" id="education" name="education" th:value="${resume.education}" maxlength="255">
            </div>
            <div>
                <label for="work_experience">Досвід праці:</label>
                <input type="text" id="work_experience" name="workExperience" th:value="${resume.workExperience}" maxlength="255">
            </div>
            <div>
                <label for="desired_salary">Бажана зарплата ($):</label>
                <input type="text" id="desired_salary" name="desiredSalary" th:value="${resume.desiredSalary}">
            </div>
            <div>
                <label for="other">Інше:</label>
                <input type="text" id="other" name="other" th:value="${resume.other}" maxlength="255">
            </div>

            <button type="submit" class="btn">Зберегти</button>
        </form>
    </div>
</div>
</body>
</html>